Bug 157947 - [PATCH] devel/Ice: update to 3.4.2
Summary: [PATCH] devel/Ice: update to 3.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-17 15:00 UTC by Michael Gmelin
Modified: 2011-06-28 14:50 UTC (History)
1 user (show)

See Also:


Attachments
Ice-3.4.2.patch (5.74 KB, patch)
2011-06-17 15:00 UTC, Michael Gmelin
no flags Details | Diff
ice-update341to342final.patch.txt (7.98 KB, text/plain)
2011-06-17 17:57 UTC, Michael Gmelin
no flags Details
ice-3.4.2.diff (6.93 KB, patch)
2011-06-19 08:23 UTC, Stefan Ehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2011-06-17 15:00:24 UTC
- Update to 3.4.2

Removed file(s):
- files/patch-Exception.cpp
- files/patch-IconvStringConverter.h
- files/patch-Network.h
- files/patch-PlatformInfo.cpp

Those files have been removed since zeroc incorporated all of them into 3.4.2.
The download URL was changed, because at zeroc this resulted in a moved temporarily, which in turn cause fetch to fail. Therefore it's been always downloaded from freebsd.org.

Port maintainer (shoesoft@gmx.net) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-06-17 15:01:38 UTC
Maintainer of devel/ice,

Please note that PR ports/157947 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157947

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-17 15:01:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Gmelin 2011-06-17 17:57:19 UTC
On Jun 17, 2011, at 16:00, FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/157947'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=157947
> 
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [PATCH] devel/Ice: update to 3.4.2
>> Arrival-Date:   Fri Jun 17 14:00:24 UTC 2011


The patch I sent in the original PR was incomplete (pkg_plist hasn't been changed properly). Supplied the maintainer with a complete version of the patch:
Comment 4 Stefan Ehmann 2011-06-19 08:23:39 UTC
Attached is a slightly improved patch:
 - patch is against latest version in ports (instead of ports/157714)
 - finally added WWW to pkg-descr
 - fixed some old NOPORTDOCS bugs

Removed file(s):
 - files/patch-Exception.cpp
 - files/patch-IconvStringConverter.h

Thanks for your effort!
Comment 5 Stefan Ehmann 2011-06-27 17:52:57 UTC
Just in case I didn't make myself clear: I approve the update.

Please use my (slightly revised) patch from June 19.
Comment 6 Julien Laffaye freebsd_committer 2011-06-27 20:36:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jlaffaye

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-06-28 14:44:10 UTC
miwi        2011-06-28 13:44:00 UTC

  FreeBSD ports repository

  Modified files:
    devel/ice            Makefile distinfo pkg-descr pkg-plist 
    devel/ice/files      patch-Makefile 
  Removed files:
    devel/ice/files      patch-Exception.cpp 
                         patch-IconvStringConverter.h 
  Log:
  - Update to 3.4.2
  
  PR:             157947
  Submitted by:   Michael Gmelin <freebsd@grem.de>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.18      +2 -2      ports/devel/ice/Makefile
  1.11      +2 -3      ports/devel/ice/distinfo
  1.2       +0 -38     ports/devel/ice/files/patch-Exception.cpp (dead)
  1.2       +0 -11     ports/devel/ice/files/patch-IconvStringConverter.h (dead)
  1.6       +1 -1      ports/devel/ice/files/patch-Makefile
  1.2       +2 -0      ports/devel/ice/pkg-descr
  1.11      +26 -27    ports/devel/ice/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2011-06-28 14:44:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!